summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-08-06 09:58:02 +0200
committerPacho Ramos <pacho@gentoo.org>2016-08-06 09:58:02 +0200
commitd4e57564a0b8cb9673e3efde4b600e27c1239ab5 (patch)
treefd921d2beb5ffe1e3645294b52ccd6177b3ef892
parentx11-libs/gtk+: Version bump (diff)
downloadgentoo-d4e57564a0b8cb9673e3efde4b600e27c1239ab5.tar.gz
gentoo-d4e57564a0b8cb9673e3efde4b600e27c1239ab5.tar.bz2
gentoo-d4e57564a0b8cb9673e3efde4b600e27c1239ab5.zip
sys-apps/irqbalance: Version bump, rely on upstream systemd service file
Package-Manager: portage-2.3.0
-rw-r--r--sys-apps/irqbalance/Manifest1
-rw-r--r--sys-apps/irqbalance/irqbalance-1.1.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/sys-apps/irqbalance/Manifest b/sys-apps/irqbalance/Manifest
index 2713c27bb9d..1bcd2b23a92 100644
--- a/sys-apps/irqbalance/Manifest
+++ b/sys-apps/irqbalance/Manifest
@@ -4,3 +4,4 @@ DIST irqbalance-1.0.5.tar.gz 350213 SHA256 1123e75224b9c0b63ac85892e920bc4a9c762
DIST irqbalance-1.0.6.tar.gz 352325 SHA256 95ac79992e6de501f613c781b0fc8aa17a4aaf6a3d865bb6e15ac6a46c6ab1fd SHA512 be14f89c0f137a0cb9c572bc7fb2360941751e4676b147a9d4a44aeb6242577b7dfaa4aa4810ded05244da59fc6d24f22ab88740a8751685a3177b010259a6f0 WHIRLPOOL dcc51bec29eb78a0e9e777a7c5d254ff338390e44dfc4019edb2a1f1eb85f6eafd9bdd7fdc60903b1f94f70194cc1ab1d61cac68da429a009d1f26bee7d357ef
DIST irqbalance-1.0.7.tar.gz 41209 SHA256 8c3916780d254b74fb1c7ec22876d63ac01f1b32776d9204a604b73c8f591d2a SHA512 388f982fe620d8df850e6e298a194a5ba1393f29f1b25897bfa79e34f3acb32e762b86e31154e7af614d5d84a38a61b85ff07c0dd2032e1eb6b0e30ea9010612 WHIRLPOOL fdbaa8817aae91bc1960115aa457e4dc92b36f62ba7680e9aac35459072d73f2e30015c616c86ce451ac6cd335406ac2423328232768c893e17e17537c3c951e
DIST irqbalance-1.0.9.tar.gz 44661 SHA256 f1b8115948bb9f0bc36b9d7143ee8be751a294bc189d311408e753acc37169c3 SHA512 ef3ce9eeec11ec86291e2e3cd701e782ee1fb4ba256e2ea5ea0ea04b373f97ff2eae0a44919127c4dbd7fd805e9e3df3a5e62a3528e4d1c9bbab4db39186b5c5 WHIRLPOOL 7bed3d8dd868b4ad697b997143a59b9101815d0bfc08d1d594248c1fcfeaec22045fbe779605583a89aa7d2c8a54e079317bf8a6e4ef8135fc887e2d1518e706
+DIST irqbalance-1.1.0.tar.gz 46742 SHA256 91506e638b03bf27cf5da7dc250d58a753ce8a0288a20265fc7ff0266040706b SHA512 66abf71b87e25df190417afbf9da24d826d817de3c0ebdc686e3ae56ac131b2f9586092ba67e5f9c749cb139fbf2faaa2af2ef30700955a5b347f1964f61bf6b WHIRLPOOL 581cb27ae79648d69200ea2746cabf6dde8c865fd3afc80d87a0c43a150b40b6ad5e22ecd15fef5cc9aff166055b568e6217554c08b4767757f0534a998f35be
diff --git a/sys-apps/irqbalance/irqbalance-1.1.0.ebuild b/sys-apps/irqbalance/irqbalance-1.1.0.ebuild
new file mode 100644
index 00000000000..5ba94e8e74a
--- /dev/null
+++ b/sys-apps/irqbalance/irqbalance-1.1.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils systemd linux-info
+
+DESCRIPTION="Distribute hardware interrupts across processors on a multiprocessor system"
+HOMEPAGE="https://github.com/Irqbalance/irqbalance"
+SRC_URI="https://github.com/Irqbalance/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="caps +numa selinux"
+
+CDEPEND="
+ dev-libs/glib:2
+ caps? ( sys-libs/libcap-ng )
+ numa? ( sys-process/numactl )
+"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${CDEPEND}
+ selinux? ( sec-policy/selinux-irqbalance )
+"
+
+pkg_setup() {
+ CONFIG_CHECK="~PCI_MSI"
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ # Follow systemd policies
+ # https://wiki.gentoo.org/wiki/Project:Systemd/Ebuild_policy
+ sed -i -e 's/ $IRQBALANCE_ARGS//' misc/irqbalance.service || die
+ sed -i -e '/EnvironmentFile/d' misc/irqbalance.service || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_with caps libcap-ng)
+ $(use_enable numa)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ newinitd "${FILESDIR}"/irqbalance.init.3 irqbalance
+ newconfd "${FILESDIR}"/irqbalance.confd-1 irqbalance
+ systemd_dounit misc/irqbalance.service
+}